package org.dromara.payment.invoice.service;

import org.dromara.payment.invoice.domain.MerInvoiceDetail;
import org.dromara.payment.invoice.domain.vo.MerInvoiceDetailVo;
import org.dromara.payment.invoice.domain.bo.MerInvoiceDetailBo;
import org.dromara.common.mybatis.core.page.TableDataInfo;
import org.dromara.common.mybatis.core.page.PageQuery;

import java.util.Collection;
import java.util.List;

/**
 * 开票明细Service接口
 *
 * @author LionLi
 * @date 2024-05-06
 */
public interface IMerInvoiceDetailService {

    /**
     * 查询开票明细
     */
    MerInvoiceDetailVo queryById(Long id);

    /**
     * 查询开票明细列表
     */
    TableDataInfo<MerInvoiceDetailVo> queryPageList(MerInvoiceDetailBo bo, PageQuery pageQuery);

    /**
     * 查询开票明细列表
     */
    List<MerInvoiceDetailVo> queryList(MerInvoiceDetailBo bo);

    /**
     * 新增开票明细
     */
    Boolean insertByBo(MerInvoiceDetailBo bo);

    /**
     * 修改开票明细
     */
    Boolean updateByBo(MerInvoiceDetailBo bo);

    /**
     * 校验并批量删除开票明细信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);
}
